{
  ## `flake.nix` is used to pin the version of your chosen package and helps your system become reproducible.

  inputs =
  {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
  };

  outputs = { self, nixpkgs, nixos-hardware }:
  {
    # NOTE: 'nixos' is the default hostname set by the installer.
    nixosConfigurations.nixos = nixpkgs.lib.nixosSystem
    {
      # system = "x86_64-linux";
      system = "x86_64-linux";

      modules =
      [
        ./configuration.nix
        
        # nixos-hardware.nixosModules.framework-13-inch-7040-amd
        # nixos-hardware.nixosModules.system76-darp6
        # nixos-hardware.nixosModules.tuxedo-infinitybook-pro14-gen7
        ## additional hardware options can be found: [nixos-hardware](https://github.com/NixOS/nixos-hardware).
      ];
    };
  };
}

